!Copyright 2016 J.-M. CHESNEAUX, F. JEZEQUEL, J.-L. LAMOTTE
!
!This file is part of CADNA.
!
!    CADNA is free software: you can redistribute it and/or modify it
!    under the terms of the GNU Lesser General Public License as
!    published by the Free Software Foundation, either version 3 of the
!    License, or (at your option) any later version.
!
!    CADNA is distributed in the hope that it will be useful, but WITHOUT
!    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
!    or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General
!    Public License for more details.
!
!    You should have received a copy of the GNU Lesser General Public
!    License along with CADNA. If not, see
!    <http://www.gnu.org/licenses/>.
!
!****h module CADNA
!  NAME
!    CADNA
!
!
!  USAGE
!    Can be used by inserting "use CADNA" at the beginning of each MODULE,
!    FUNCTION or SUBROUTINE which requires the CADNA Library 
!
!  DESCRIPTION
!    Allows to use all the new types, functions and all defined by the
!    CADNA library
!
!******
	module cadna
        use cadna_type
        use cadna_convert
        use cadna_cestac
        use cadna_add
        use cadna_sub
        use cadna_mul
        use cadna_intr
        use cadna_div
        use cadna_str
        use cadna_equ
        use cadna_to
        use cadna_ge
        use cadna_le
        use cadna_gt
        use cadna_lt
        use cadna_math
	end module cadna
